stages:
  - test

# Completes a full catkin build.
#
# pre-commit is run by ros_drone_ci
#
build-ros-noetic:
  stage: test
  image: amarburg/drone-ci-ros-noetic:latest
  before_script:
    # Use CI_JOB_TOKEN to log into Gitlab
    # Private repositories must be configured to allow access _from_ this repo (or from the apl-ocean-engineering group)
    - git config --global url."https://gitlab-ci-token:${CI_JOB_TOKEN}@gitlab.com/".insteadOf "git@gitlab.com:"
    - git config --global url."https://gitlab-ci-token:${CI_JOB_TOKEN}@gitlab.com/".insteadOf "https://gitlab.com/"
  script:
    - wget -O- https://gitlab.com/amarburg/ros_drone_ci/-/raw/master/bootstrap.sh | /bin/bash
  variables:
    WSTOOL_RECURSIVE: "true"
    ROSINSTALL_FILE: "raven_ci.repos"
